First, it was my Vista machine that ZA wouldn't allow me to access programs or the internet.
Also, it locked-up when accessing it via Remote Desktop ((Firewall zones properly configured). Then, just recently, my XP machine has been experiencing shutdowns that last as long as 10 minutes.
Both machines had the latest version of ZASS installed after a clean uninstall of the previous versions.
For all issues, I have tried shutting down ZA and the problems are resolved.
Therefore, I have "downgraded" back to version 7.1.254 and 7.0.483 on the Vista and XP machines, respectively and the problems appear to be resolved.
I never experienced any of the aformentioned problems using these previous versions, so I don't think I'll be upgrading anytime soon.
Are there any security issues with using older versions as long as the anti-virus and anti-spyware is up-to-date?

Product Name:ZoneAlarm Internet Security Suite